﻿using System.Collections.ObjectModel;

namespace ObservableCollectionExample
{
    // http://msdn.microsoft.com/en-us/library/ms668604(v=vs.110).aspx
    public class NameList : ObservableCollection<PersonName>
    {
        public NameList()
        {
            Add(new PersonName("Willa", "Cather"));
            Add(new PersonName("Isak", "Dinesen"));
            Add(new PersonName("Victor", "Hugo"));
            Add(new PersonName("Jules", "Verne"));
        }
    }
    public class PersonName
    {
        public PersonName() { }

        public PersonName(string first, string last)
        {
            FirstName = first;
            LastName = last;
        }

        public string FirstName { get; set; }

        public string LastName { get; set; }

        public override string ToString()
        {
            return string.Format("FirstName: {0}, LastName: {1}", FirstName, LastName);
        }
    }
}
