﻿using System;
using System.Collections;

namespace ObservableCollectionExample
{
    class Program
    {
        static void Main()
        {
            NameList list = new NameList();
            list.CollectionChanged += (sender, arg) =>
            {
                IList news = arg.NewItems;
                Console.WriteLine("Collection changed: ");
                foreach (var item in news)
                {
                    Console.WriteLine("\t" + item);
                }
            };

            list.Add(new PersonName("Anders", "B"));
            PersonName pn2 = list[0];
            pn2.FirstName = "Michael";
        }
    }
}
